package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.DealStatusEnum;
import com.ym.mec.biz.dal.enums.PlatformCashAccountDetailTypeEnum;
import com.ym.mec.biz.dal.enums.TransTypeEnum;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(sys_user_courses_account_detail):
 */
public class SysUserCoursesAccountDetail {

	/** 序号 */
	private Long id;
	
	/** 用户编号 */
	private Integer userId;
	
	/** 交易流水号 */
	private String transNo;
	
	/** 交易类型 (RECHARGE 充值,PAY_FEE 缴费,FILL_ACCOUNT 人工补账) */
	private PlatformCashAccountDetailTypeEnum type;
	
	/** 交易方式1.微信，2支付宝,3快捷 */
	private TransTypeEnum transType;
	
	/** 交易状态(1,交易中;2,成功交易;-1,交易失败;) */
	private DealStatusEnum status;
	
	/** 交易金额 */
	private java.math.BigDecimal amount;
	
	/** 账户可用余额 */
	private java.math.BigDecimal balance;
	
	/** 描述 */
	private String description;
	
	/** 后台备注 */
	private String comment;
	
	/** 创建时间 */
	private java.util.Date createTime;
	
	/** 修改时间 */
	private java.util.Date updateTime;
	
	/** 关联流水ID */
	private String attribute1;
	
	/** 支付渠道 */
	private String channel;
	
	/** 平台账户号 */
	private String platformAccountNo;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	public void setTransNo(String transNo){
		this.transNo = transNo;
	}
	
	public String getTransNo(){
		return this.transNo;
	}

	public PlatformCashAccountDetailTypeEnum getType() {
		return type;
	}

	public void setType(PlatformCashAccountDetailTypeEnum type) {
		this.type = type;
	}

	public TransTypeEnum getTransType() {
		return transType;
	}

	public void setTransType(TransTypeEnum transType) {
		this.transType = transType;
	}

	public DealStatusEnum getStatus() {
		return status;
	}

	public void setStatus(DealStatusEnum status) {
		this.status = status;
	}

	public void setAmount(java.math.BigDecimal amount){
		this.amount = amount;
	}
	
	public java.math.BigDecimal getAmount(){
		return this.amount;
	}
			
	public void setBalance(java.math.BigDecimal balance){
		this.balance = balance;
	}
	
	public java.math.BigDecimal getBalance(){
		return this.balance;
	}
			
	public void setDescription(String description){
		this.description = description;
	}
	
	public String getDescription(){
		return this.description;
	}
			
	public void setComment(String comment){
		this.comment = comment;
	}
	
	public String getComment(){
		return this.comment;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setAttribute1(String attribute1){
		this.attribute1 = attribute1;
	}
	
	public String getAttribute1(){
		return this.attribute1;
	}
			
	public void setChannel(String channel){
		this.channel = channel;
	}
	
	public String getChannel(){
		return this.channel;
	}
			
	public void setPlatformAccountNo(String platformAccountNo){
		this.platformAccountNo = platformAccountNo;
	}
	
	public String getPlatformAccountNo(){
		return this.platformAccountNo;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
